# opentl::core::TrackingData Class Reference

Abstract class for data required by tracking algorithm (SensorData, Measurement, State). More...

Inherited by opentl::core::State.

List of all members.

## Public Types
## Public Member Functions
virtual TrackingData * | clone () const =0
| Create a new instance of this class.
double | getTimeStamp () const
| Returns timestamp as double value.
virtual TrackingData & | operator= (const TrackingData &data)
void | setTimeStamp (double t)
| Set state instance's timestamp information.
| TrackingData (const TrackingData &data)
| Copy Constructor.
| TrackingData (double timestamp=0.0f)
| Constructor with data type representation information.
virtual | ~TrackingData ()
| Destructor.
## Protected Attributes
double | mTimestamp
| Related measurement time.

## Detailed Description

Abstract class for data required by tracking algorithm (SensorData, Measurement, State).

Author:
  erwin.roth@weihenstephan.org

## Member Enumeration Documentation

enum opentl::core::TrackingData::TimestampAction

Specifies the action which is executed on the destination timestamp if a mathematical operation, e.g. add(...) is executed with a derived class.

Enumerator:

  DO_NOTHING |
  FROM_THIS |
  FROM_OPERAND1 |
  SET_GIVEN_TIMESTAMP |
  SET_CURRENT_TIME |

## Constructor & Destructor Documentation

opentl::core::TrackingData::TrackingData | ( | double | timestamp = `0.0f` | ) |

Constructor with data type representation information.

opentl::core::TrackingData::TrackingData | ( | const TrackingData & | data | ) |

Copy Constructor.

virtual opentl::core::TrackingData::~TrackingData | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual TrackingData* opentl::core::TrackingData::clone | ( |  | ) | const`[pure virtual]`

Create a new instance of this class.

Implemented in opentl::core::State.

double opentl::core::TrackingData::getTimeStamp | ( |  | ) | const

Returns timestamp as double value.

Returns:
  State's timestamp as double value.

virtual TrackingData& opentl::core::TrackingData::operator= | ( | const TrackingData & | data | ) | `[virtual]`

void opentl::core::TrackingData::setTimeStamp | ( | double | t | ) |

Set state instance's timestamp information.

Parameters:

  | t | Time as double value.

## Member Data Documentation

double opentl::core::TrackingData::mTimestamp`[protected]`

Related measurement time.